Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface SequenceRegionAdaptor

public interface SequenceRegionAdaptor

Adaptor for SequenceRegion objects.

Field Summary
`static java.lang.String` | `TYPE` Name of the default SequenceRegionAdaptor available from a driver.

Method Summary
`SequenceRegion` | `fetch(Location loc)` Fetch a SequenceRegion corresponding to a Location.
`SequenceRegion` | `fetch(long internalID)` Fetch a SequenceRegion by its internalID.
`SequenceRegion` | `fetch(java.lang.String name, CoordinateSystem cs)` Fetch a SequenceRegion by name and co-ordinate system.
`SequenceRegion[]` | `fetchAllByAttributeCode(java.lang.String code)` Get all the sequence regions that have an attribute with a particular code set, irrespective of what the value of the attribute is.
`SequenceRegion[]` | `fetchAllByAttributeValue(java.lang.String code, java.lang.String value)` Fetch all the sequence regions that have an attribute set to a certain value.
`SequenceRegion[]` | `fetchAllByCoordinateSystem(CoordinateSystem cs)` Fetch all the sequence regions for a particular co-ordinate system.
`void` | `fetchComplete(SequenceRegion seqRegion)` Sets the attributes on the seqRegion.

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Name of the default SequenceRegionAdaptor available from a driver.

  See Also:
    Constant Field Values

Method Detail

### fetch

    public SequenceRegion fetch(long internalID)
                         throws AdaptorException

  Fetch a SequenceRegion by its internalID.

  Returns:
    A SequenceRegion matching the internalID, or null if non found.
  Throws:
    `AdaptorException`

### fetch

    public SequenceRegion fetch(java.lang.String name,
                                CoordinateSystem cs)
                         throws AdaptorException

  Fetch a SequenceRegion by name and co-ordinate system.

  Returns:
    The sequence region object represented by name and cs, or null.
  Throws:
    `AdaptorException`

### fetch

    public SequenceRegion fetch(Location loc)
                         throws AdaptorException

  Fetch a SequenceRegion corresponding to a Location.

  Returns:
    A SequenceRegion matching the Location, or null if non found.
  Throws:
    `AdaptorException`

### fetchAllByCoordinateSystem

    public SequenceRegion[] fetchAllByCoordinateSystem(CoordinateSystem cs)
                                                throws AdaptorException

  Fetch all the sequence regions for a particular co-ordinate system.

  Returns:
    An array of SequenceRegion objects representing all the sequence regions in coordinate system cs. Use with caution!
  Throws:
    `AdaptorException`

### fetchAllByAttributeCode

    public SequenceRegion[] fetchAllByAttributeCode(java.lang.String code)
                                             throws AdaptorException

  Get all the sequence regions that have an attribute with a particular code set, irrespective of what the value of the attribute is.

  Parameters:
    `code` - The attribute code to look for.
  Returns:
    The SequenceRegions with the attrbiute set.
  Throws:
    `AdaptorException`

### fetchAllByAttributeValue

    public SequenceRegion[] fetchAllByAttributeValue(java.lang.String code,
                                                     java.lang.String value)
                                              throws AdaptorException

  Fetch all the sequence regions that have an attribute set to a certain value.

  Parameters:
    `code` - The code of the attribute in question.
    `value` - The value that attribute [code] should have.
  Returns:
    All SequenceRegions with arrtibute [code] set to [value].
  Throws:
    `AdaptorException`

### fetchComplete

    public void fetchComplete(SequenceRegion seqRegion)
                       throws AdaptorException

  Sets the attributes on the seqRegion.

  Parameters:
    `seqRegion` - seqRegion to set attributes on.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD